%define modulename Cairo
%define realver 1.6-2
%define r_library %{_libdir}/R/library
%global __requires_exclude libR.so

Summary:	A cairo bindings for R
Name:		R-cran-%{modulename}
Version:	%(echo %realver|tr '-' '.')
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Mathematics
Url:		https://cran.r-project.org/web/packages/%{modulename}/index.html
Source0:	https://cran.r-project.org/src/contrib/%{modulename}_%{realver}.tar.gz
BuildRequires:	R-base
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(xt)
Requires:	R-base

%description
This package provides a Cairo graphics device that can be
use to create high-quality vector (PDF, PostScript and SVG)
and bitmap output (PNG,JPEG,TIFF), and high-quality rendering
in displays (X11 and Win32). Since it uses the same back-end
for all output, copying across formats is WYSIWYG.Files are
created without the dependence on X11 or other external programs.
This device supports alpha channel (semi-transparent drawing) and
resulting images can contain transparent and semi-transparent regions.
It is ideal for use in server environemnts (file output) and as a
replacement for other devices that don't have Cairo's capabilities
such as alpha support or anti-aliasing.Backends are modular such that
any subset of backends is supported.

%prep
%setup -q -c

%build
R CMD build %{modulename}

%install
mkdir -p %{buildroot}/%{r_library}

# (tpg) install
R CMD INSTALL %{modulename} --library=%{buildroot}/%{r_library}

# (tpg) provided by R-base
rm -rf %{buildroot}%{_libdir}/R/library/R.css

%files
%{_libdir}/R/library/%{modulename}


%changelog
* Thu May 08 2025 daviddavid <daviddavid> 1.6.2-1.mga10
+ Revision: 2181945
- new version: 1.6.2

* Mon Dec 12 2022 ns80 <ns80> 1.5.12.2-3.mga9
+ Revision: 1921108
- rebuild for new libtiff

* Sat Apr 02 2022 umeabot <umeabot> 1.5.12.2-2.mga9
+ Revision: 1840318
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 joequant <joequant> 1.5.12.2-1.mga8
+ Revision: 1647035
- rebuild with 4.0.3
- rebuild with 4.0.3
- rebuild with R 4.0.3

* Fri Feb 14 2020 umeabot <umeabot> 1.5.9-3.mga8
+ Revision: 1516371
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.5.9-2.mga7
+ Revision: 1300788
- Mageia 7 Mass Rebuild

* Sun Mar 27 2016 pterjan <pterjan> 1.5.9-1.mga6
+ Revision: 995754
- Update to 1.5-9

* Thu Feb 04 2016 umeabot <umeabot> 1.5.6-4.mga6
+ Revision: 935444
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.5.6-3.mga5
+ Revision: 744961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.6-2.mga5
+ Revision: 677649
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Sep 03 2014 lmenut <lmenut> 1.5.6-1.mga5
+ Revision: 671140
- Update to 1.5-6

* Tue Oct 22 2013 umeabot <umeabot> 1.5.2-2.mga4
+ Revision: 542056
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 lmenut <lmenut> 1.5.2-1.mga4
+ Revision: 496748
- Update to 1.5-2

* Fri Jan 11 2013 umeabot <umeabot> 1.5.1-2.mga3
+ Revision: 345079
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 26 2012 sander85 <sander85> 1.5.1-1.mga3
+ Revision: 274489
- New version: 1.5-1

* Sun Dec 25 2011 fwang <fwang> 1.4.9-2.mga2
+ Revision: 187440
- rebuild for new libtiff

* Thu Jun 16 2011 ahmad <ahmad> 1.4.9-1.mga2
+ Revision: 108314
- Update to 1.4.9
- Add BR libxt-devel
- imported package R-cran-Cairo


* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 1.4.5-3mdv2011.0
+ Revision: 577196
- rebuild

* Thu Jan 14 2010 Funda Wang <fwang@mandriva.org> 1.4.5-2mdv2010.1
+ Revision: 491115
- rebuild for new jpeg

* Fri Dec 25 2009 Jérôme Brenier <incubusss@mandriva.org> 1.4.5-1mdv2010.1
+ Revision: 482226
- new version 1.4.5

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Sun Aug 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.4.3-1mdv2009.0
+ Revision: 270296
- update to new version 1.4-3

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.5-2mdv2008.1
+ Revision: 176956
- remove requires on libR.so

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.5-1mdv2008.1
+ Revision: 169883
- fix Url
- add missing buildrequires
- add source and spec file
- Created package structure for R-cran-Cairo.

